Bug 62310 - (Mozilla) minor Selection UI glitch
Summary: (Mozilla) minor Selection UI glitch
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-29 14:53 UTC by Warren Togami
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-09 08:43:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2002-03-29 14:53:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
Often when I am typing into textareas of web pages (Hey!  Like this Bugzilla
form...) I wish to select and copy it into Evolution in order to Cross-post to
the Skipjack-list for additional comment.  Each and every time I do so I run
into an obscure Mozilla selection UI glitch that causes the selection to behave
in an unexpected way.

Version-Release number of selected component (if applicable):
Skipjack beta1 with up2date (3-27-2002)

How reproducible:
Always

Steps to Reproduce:
1. Type many lines of text in a textarea, roughly the length of this bug report.
 Make sure there is a vertical scrollbar on the right side of the textarea.
2. Select from the bottom to the top of the textarea.
3. Unselect it by clicking once anywhere within the text.
4. Attempt to select from the very top, before the first character.  When you
begin dragging the mouse right or down, suddenly the entire textarea is selected
again.  Not what you expected.

Expected Results:
You should be able to select from the first character to any point within the
textarea rather than it selecting everything for you.

Comment 1 Warren Togami 2002-04-19 10:46:36 UTC
This appears to be fixed in both Mozilla trunk and Mozilla 1.0 RC1.


Comment 2 Warren Togami 2002-05-09 08:43:11 UTC
Re-tested: Still broken in Red Hat Linux 7.3. 


Comment 3 Warren Togami 2002-08-12 07:31:09 UTC
Appears fixed in Limbo2.



Note You need to log in before you can comment on or make changes to this bug.